Problems with xcode OS X 10.11.2 and Qt 5.4.1



  • Hello, I am trying to build my app with Qt 5.4.1 on the latest version of OS X (10.11.2). I have updated to xcode 7.2 and all looks well with that.
    My problem is that the compile looks for the wrong version of the sdk so I get compiler issues.
    it is looking here...
    /Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk
    when it should be looking here...
    /Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.11.sdk
    because that is the only sdk in that path.
    I have added QMAKE_MACOSX_DEPLOYMENT_TARGET = 10.11 to my .pro file but it does not make any difference.
    This procedure has worked fine on OS X up until now.

    I would really appreciate any advice anyone can offer as to how to make it find the correct path.
    Thank you.


  • Lifetime Qt Champion

    Hi,

    IIRC you need to set the QMAKE_MAC_SDK variable to macosx10.11

    Hope it helps



  • Thank you @SGaist, that solved the problem.


Log in to reply
 

Looks like your connection to Qt Forum was lost, please wait while we try to reconnect.